Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2830033003: Use {To/From}JavaTime for policy timestamps (Closed)

Created:
1 year, 3 months ago by emaxx
Modified:
1 year, 3 months ago
Reviewers:
Thiemo Nagel
CC:
chromium-reviews, oshima+watch_chromium.org, davemoore+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Use {To/From}JavaTime for policy timestamps Use base::Time::ToJavaTime() and base::Time::FromJavaTime() for conversions between base::Time and timestamps in the policy protos. No change of behavior should be introduced, it's just a refactoring. BUG=701045 TEST=existing tests Review-Url: https://codereview.chromium.org/2830033003 Cr-Commit-Position: refs/heads/master@{#466325} Committed: https://chromium.googlesource.com/chromium/src/+/35629b9c2d21ae7af4ec8ebdcec1c2c21a042880

Patch Set 1 #

Total comments: 12

Patch Set 2 : Rebase #

Patch Set 3 : Fix comments #

Patch Set 4 : device_status_collector.cc; comment on RemoteCommandResult.timestamp #

Patch Set 5 : Rebase #

Patch Set 6 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+35 lines, -58 lines) Patch
M chrome/browser/chromeos/policy/device_cloud_policy_manager_chromeos_unittest.cc View 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/chromeos/policy/device_status_collector.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/policy/cloud/cloud_policy_invalidator.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/policy/cloud/cloud_policy_invalidator_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/policy/core/common/cloud/cloud_policy_client.cc View 1 chunk +2 lines, -5 lines 0 comments Download
M components/policy/core/common/cloud/cloud_policy_client_unittest.cc View 1 chunk +1 line, -2 lines 0 comments Download
M components/policy/core/common/cloud/cloud_policy_refresh_scheduler.cc View 2 chunks +2 lines, -6 lines 0 comments Download
M components/policy/core/common/cloud/cloud_policy_refresh_scheduler_unittest.cc View 1 chunk +2 lines, -5 lines 0 comments Download
M components/policy/core/common/cloud/cloud_policy_service.cc View 1 chunk +2 lines, -5 lines 0 comments Download
M components/policy/core/common/cloud/cloud_policy_service_unittest.cc View 1 chunk +1 line, -2 lines 0 comments Download
M components/policy/core/common/cloud/cloud_policy_validator.cc View 1 2 chunks +2 lines, -5 lines 0 comments Download
M components/policy/core/common/cloud/cloud_policy_validator_unittest.cc View 1 2 chunks +2 lines, -5 lines 0 comments Download
M components/policy/core/common/cloud/component_cloud_policy_store.cc View 1 3 chunks +2 lines, -7 lines 0 comments Download
M components/policy/core/common/cloud/component_cloud_policy_store_unittest.cc View 1 1 chunk +2 lines, -1 line 0 comments Download
M components/policy/proto/device_management_backend.proto View 1 2 3 4 5 4 chunks +12 lines, -9 lines 0 comments Download

Messages

Total messages: 42 (31 generated)
emaxx
Thiemo, PTAL. This is a follow-up for http://crrev.com/2820063005.
1 year, 3 months ago (2017-04-20 13:08:16 UTC) #10
Thiemo Nagel
Nit: There's two more occurrences of UnixEpoch in remote_commands_service.cc and in device_status_collector.c. https://codereview.chromium.org/2830033003/diff/1/components/policy/proto/device_management_backend.proto File components/policy/proto/device_management_backend.proto ...
1 year, 3 months ago (2017-04-20 14:02:13 UTC) #11
emaxx
On 2017/04/20 14:02:13, Thiemo Nagel wrote: > Nit: There's two more occurrences of UnixEpoch in ...
1 year, 3 months ago (2017-04-20 15:00:46 UTC) #14
Thiemo Nagel
> * remote_commands_service.cc: It uses TimeTicks, which, first, technically > provides to conversion to/from Java ...
1 year, 3 months ago (2017-04-20 16:16:53 UTC) #15
emaxx
On 2017/04/20 16:16:53, Thiemo Nagel wrote: > > * device_status_collector.cc: Do you think we should ...
1 year, 3 months ago (2017-04-20 18:33:22 UTC) #20
emaxx
1 year, 3 months ago (2017-04-20 20:16:27 UTC) #27
Thiemo Nagel
LGTM! Thanks for cleaning up the code!
1 year, 3 months ago (2017-04-21 09:36:23 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2830033003/80001
1 year, 3 months ago (2017-04-21 11:13:42 UTC) #30
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/417435)
1 year, 3 months ago (2017-04-21 11:19:22 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2830033003/100001
1 year, 3 months ago (2017-04-21 14:03:18 UTC) #39
commit-bot: I haz the power
1 year, 3 months ago (2017-04-21 14:07:15 UTC) #42
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/35629b9c2d21ae7af4ec8ebdcec1...

Powered by Google App Engine
This is Rietveld 408576698